Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.jpg12
Class JPGEncoder

    com.sun.jimi.core.encoder.jpg12.JPGEncoder

public class JPGEncoder
implements OptionsObject

This is an implementation of JPGEncoder that wraps around the functionality provided by the new code available in JDK1.2 beta3

Constructor Summary
`JPGEncoder()`

Method Summary
`void` | `clearProperties()`
`boolean` | `driveEncoder()`
`void` | `freeEncoder()`
`OptionsObject` | `getOptionsObject()`
`java.lang.Object` | `getPossibleValuesForProperty(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String key)`
`java.lang.String` | `getPropertyDescription(java.lang.String name)`
`java.util.Enumeration` | `getPropertyNames()`
`int` | `getState()`
`void` | `initSpecificEncoder(java.io.OutputStream out, JimiImage ji)` initialise this Encoder
`void` | `setProperty(java.lang.String key, java.lang.Object val)`

Constructor Detail

### JPGEncoder

    public JPGEncoder()

Method Detail

### initSpecificEncoder

    public void initSpecificEncoder(java.io.OutputStream out,
                                    JimiImage ji)
                             throws JimiException

  initialise this Encoder

### getOptionsObject

    public OptionsObject getOptionsObject()

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

### getProperty

    public java.lang.Object getProperty(java.lang.String key)

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Object val)
                     throws InvalidOptionException

### getPossibleValuesForProperty

    public java.lang.Object getPossibleValuesForProperty(java.lang.String name)
                                                  throws InvalidOptionException

### getPropertyDescription

    public java.lang.String getPropertyDescription(java.lang.String name)
                                            throws InvalidOptionException

### clearProperties

    public void clearProperties()

### driveEncoder

    public boolean driveEncoder()
                         throws JimiException

### freeEncoder

    public void freeEncoder()
                     throws JimiException

### getState

    public int getState()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD